@charset "utf-8";
/*----------------------------------------------------*/
/*     PC     */
/*----------------------------------------------------*/
.main_form {
  background: #edfaff;
  padding-bottom: 1em;
}
.main_form_inner {
  margin: 0 auto;
  width: 850px;
  border-radius: 4px;
  background: #fff;
  padding: 16px 64px 32px;
  box-sizing: border-box;
  text-align: left;
  border: 1px solid #ccc;
  box-shadow: 1px 1px 6px 0 #ccc;
}

/*　ご利用の愛車について/お客様について　*/

.form_heading {
  font-size: 1.8rem;
  margin-bottom: 15px;
  font-weight: bold;
  background-color: #00afec;
  padding: 6px 15px;
  color: #fff;
}

.form_heading:before {
  content: "";
  width: 20px;
  height: 20px;
  display: inline-block;
  vertical-align: middle;
  margin-right: 8px;
  background-size: contain;
  background-repeat: no-repeat;
  margin-bottom: 5px;
}

.main_form #car_area .form_heading::before {
  background-image: url(./../img/form_icon_car.png);
}

.main_form #user_area .form_heading::before {
  background-image: url(./../img/form_icon_customer.png);
}

/*　次へ　*/
.form_next_btn {
  position: relative;
  display: block;
  background-color: #f80;
  width: 95%;
  margin: 0 auto;
  padding: 16px;
  box-sizing: border-box;
  background: linear-gradient(to bottom, #BD202D 0%, #E10214 88%);
  color: #fff;
  border: none;
  font-weight: bold;
  font-size: 1.8rem;
  text-align: center;
  border-radius: 8px;
}

.form_next_btn::before {
  position: relative;
  content: '無料';
  background: #fff;
  border-radius: 4px;
  color: #3e3e3e;
  font-size: 13px;
  letter-spacing: 0;
  padding: 3px 8px;
  margin-right: 10px;
}

.form_next_btn::after {
  position: relative;
  content: '(20秒で完了)';
  color: #fff;
  letter-spacing: 0;
  padding: 3px 8px;
  margin-right: 10px;
}

.disable.form_next_btn::before {
  background: #adacac;
  color: #fff;
}

.form_next_btn:hover {
  opacity: 0.8;
}

.form_next_btn.disable {
  background: #dadada;
  text-shadow: -2px -1px 2px #a8a8a8;
}

@media screen and (min-width: 961px) {
  .form_box {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px 40px;
  }

  /* car_area と user_area を横並び */
  #car_area {
    grid-column: 1 / 2;
  }
  #user_area {
    grid-column: 2 / 3;
  }

  /* それ以降の要素は全部1列で下に並べる */
  #form_box > *:not(#car_area):not(#user_area) {
    grid-column: 1 / -1;
  }

  .form_next_btn {
    display: none;
  }
}

/*　入力フォーム　*/

/* 入力フォームのスタイル */
input,
select {
  width: 100%;
  font-size: 18px;
  font-family: Meiryo, sans-serif;
  line-height: 1.5;
  padding: 4px 8px;
  border: solid 1px #888;
  box-sizing: border-box;
  appearance: none;
}

input[name="car_id"] {
  position: absolute;
  overflow: hidden;
  width: 0;
}

select::-ms-expand {
  display: none;
}

.form_title {
  display: flex;
  vertical-align: text-bottom;
  text-align: left;
  font-weight: 500;
  font-size: 0.9em;
  line-height: 1.4;
  flex-direction: row;
  align-items: center;
  margin-bottom: 8px;
}

.form_title label {
  font-size: 1.7rem;
  vertical-align: middle;
}

.form_item+.form_item {
  margin-top: 10px;
}

.form_area {
  position: relative;
  flex: 1;
  display: inline-block;
  vertical-align: middle;
  width: 100%;
}

#form_box .form_area input:not(.submit_btn),
#form_box .form_area select {
  height: 45px;
  padding: 6px 8px 6px 8px;
  line-height: normal;
  cursor: pointer;
  border-radius: 8px;
}

#form_box .triangle input:not(.submit_btn),
#form_box .triangle select {
  padding: 6px 25px 6px 8px;
}

.form_area.triangle::after {
  content: "";
  position: absolute;
  top: 21px;
  right: 10px;
  margin-top: -3px;
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 6px solid #333;
  pointer-events: none;
}

@media screen and (max-width: 960px) {
  .form_title label,
  input,
  select {
    font-size: 16px;
  }

  #form_box .form_area input:not(.submit_btn),
  #form_box .form_area select {
    height: 40px;
  }

  .form_inner {
    padding: 3vw 3vw 0;
    max-width: 400px;
    margin: 0 auto 12px;
  }
}

/* -------------- 入力フォームの背景色 -------------- */

/* ------- 任意 ------- */

/* 自動入力時(PC) */
input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 1000px #fff inset; /* 任意 */
}

/* 通常入力時(PC) */
#form_box .form_area input:not(.submit_btn),
#form_box .form_area select {
  background-color: #fff; /* 任意 */
}

/* 自動入力時(SP) */
@media screen and (max-width: 960px) {
  input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px #fff inset; /* 任意 */
  }
}

/* 通常入力時(SP) */
@media screen and (max-width: 960px) {
  #form_box .form_area input:not(.submit_btn),
  #form_box .form_area select {
    background-color: #fff; /* 任意 */
  }
}

/* ------- 必須 ------- */

/* 自動入力時(PC) */
input:-webkit-autofill.req_on {
  -webkit-box-shadow: 0 0 0 1000px #ffffc9 inset; /* 必須 */
}

/* 通常入力時(PC) */
#form_box .form_area input:not(.submit_btn).req_on,
#form_box .form_area select.req_on {
  background-color: #ffffd9; /* 必須 */
}

/* 自動入力時(SP) */
@media screen and (max-width: 960px) {
  input:-webkit-autofill.req_on {
    -webkit-box-shadow: 0 0 0 1000px #fff inset; /* 必須 */
  }
}

/*　必須/任意　*/

span.req_on,
span.req_off {
  margin-right: 5px;
  padding: 1px 5px;
  font-size: 0.8em;
  color: #fff;
  display: inline-block;
  font-weight: 500;
}

span.req_on {
  background: red;
}

span.req_off {
  background: #27a424;
}

/* ラジオボタン */

.period_group .question_head,
.radio_group .question_head {
  width: 100%;
  margin-top: 10px;
  margin-bottom: 5px;
}

.period_group,
.radio_group {
  width: 100%;
  justify-content: flex-start;
}

.radio {
  width: fit-content;
  margin: 0;
  padding: 0;
}

.form_area.radio {
  width: fit-content;
}

.radio input[type="radio"] {
  /* デフォルトのinputを見えないように（余白の原因になる） */
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

.radio input[type="radio"]+.radio-label:before {
  content: "";
  background: #f4f4f4;
  border-radius: 100%;
  border: 1px solid #b4b4b4;
  display: inline-block;
  width: 1.2em;
  height: 1.2em;
  position: relative;
  top: 0;
  margin-right: 0.3em;
  vertical-align: top;
  cursor: pointer;
  text-align: center;
  transition: all 250ms ease;
}

.radio-label {
  display: flex;
  width: fit-content;
  font-size: 15px;
  align-items: center;
}

.question.radio:nth-of-type(2),
.question.radio:nth-of-type(3) {
  padding-left: 20px;
}

.radio input[type="radio"]:checked+.radio-label:before {
  background-color: #3197ee;
  box-shadow: inset 0 0 0 4px #f4f4f4;
}

.radio input[type="radio"]:focus+.radio-label:before {
  outline: none;
  border-color: #3197ee;
}

.radio input[type="radio"]:disabled+.radio-label:before {
  box-shadow: inset 0 0 0 4px #f4f4f4;
  border-color: #b4b4b4;
  background: #b4b4b4;
}

.radio input[type="radio"]+.radio-label:empty:before {
  margin-right: 0;
}

/*　利用規約/プライバシーポリシー　*/

p.form-agreement {
  font-size: 0.8em;
  margin-bottom: 15px;
  text-align: center;
}

p.form-agreement a {
  text-decoration: underline;
}

/*同意する*/

.agree-txt {
  font-size: 13px;
  margin: 14px 0 8px;
  line-height: 1.5;
}

.terms {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
  text-align: center;
  font-size: 16px;
  margin-bottom: 10px;
}

.terms input[id="chkbox"],
.terms input[id="chkbox2"] {
  width: 20px;
  height: 20px;
  box-sizing: border-box;
  appearance: checkbox;
  -webkit-appearance: checkbox;
  vertical-align: middle;
  margin: 0;
}

/*　CVボタン　*/

.submit_btn_box button.submit_btn {
  position: relative;
  color: #fff;
  width: 400px;
  height: inherit;
  padding: 24px 0 18px;
  line-height: 1;
  border: none;
  border-bottom: solid 6px #AA1C00;
  border-radius: 8px;
  font-size: 1.7em;
  font-weight: 600;
  text-align: center;
  margin: 0 auto;
  display: block;
  background: #FF6529;
  transition: opacity 0.3s ease;
}

.submit_btn_box button.submit_btn::after {
  content: "";
  position: absolute;
  top: 53%;
  transform: translateY(-50%);
  right: 21px;
  width: 13px;
  height: 16px;
  background-color: #fff;
  clip-path: polygon(0 0, 0% 100%, 100% 50%);
}

.submit_btn_box button.submit_btn:hover {
  opacity: 0.8;
}

@media screen and (max-width: 960px) {
  .submit_btn_box button.submit_btn::after {
    width: 11px;
    height: 15px;
  }
}
/*　SSL信号　*/

.ssl_information {
  display: flex;
  text-align: left;
  width: 97%;
  margin: 20px auto 0;
  padding-top: 10px;
  font-size: 0.8rem;
  line-height: 1.4;
  border-top: 2px solid #ddd;
  justify-content: space-between;
}

.ssl_information span {
  font-size: 1.6rem;
  font-weight: bold;
}

.ssl_information p {
  width: 78%;
  font-size: 13px;
}

.ssl_information span::before {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  background: url(./../img/ssl_icon.png) center;
  background-repeat: no-repeat;
  background-position: left;
  vertical-align: inherit;
  background-size: contain;
  margin-right: 4px;
}

/* 点滅 */

input.target_item {
  border: 3px solid #f12;
  animation: inputPulse 1s ease-out infinite;
}

/* アニメーション */

@keyframes inputPulse {
  0% {
    box-shadow: 0 0 0 0 rgba(241, 18, 34, 0.8);
  }

  60% {
    box-shadow: 0 0 0 4px rgba(241, 18, 34, 0.2);
  }

  100% {
    box-shadow: 0 0 0 6px rgba(241, 18, 34, 0);
  }
}

/* 送信項目のエラーメッセージ */

.err_msg {
  clear: both;
  padding-top: 3px;
  color: #f00;
  font-size: 13px;
  text-align: left;
  line-height: 1.6;
}

/* 送信ボタン後のloading画像 */

#loading_img {
  display: none;
  /* 編集しないで下さい */
  width: 10%;
}

/*----------------------------------------------------*/
/*     SP     */
/*----------------------------------------------------*/
@media screen and (max-width: 960px) {
  .main_form_inner {
    width: 100%;
    margin: 0 auto;
    padding: 10px 0;
    box-sizing: border-box;
    border-radius: 0;
    box-shadow: none;
    border: #00afec solid 3px;
  }

  .form_heading {
    font-size: 1.1em;
    text-align: center;
    padding: 2px 0;
    margin-bottom: 8px;
  }

  .form_heading:before {
    display: none;
  }

  .form_item {
    flex-direction: column;
    width: 100%;
    margin: 0 auto;
  }

  .form_title {
    width: 100%;
    margin-bottom: 5px;
  }

  #user_area,
  .submit_btn_box {
    display: none;
  }

  #user_area {
    padding-top: 0;
  }

  .form_next_btn {
    width: 94%;
    max-width: 400px;
  }

  .submit_btn_box button.submit_btn {
    width: 94%;
    max-width: 400px;
    background: linear-gradient(to bottom, #BD202D 0%, #E10214 88%);
    font-size: 2rem;
    border-bottom: solid 4px #aa1c00;
    margin: 0 auto;
  }

  .ssl_information {
    flex-direction: column;
    padding: 10px 10px 0;
  }

  .ssl_information p {
    width: 100%;
    margin-top: 8px;
  }
}